# Configuration for Powerlifting America, copied from the EPA.

[options]
    require_manual_disambiguation = true

[divisions]
	# Men's divisions.
    mropen = {name="MR-O", min=0, max=999, sex="M", equipment="Raw"}
    mopen = {name="M-O", min=0, max=999, sex="M", equipment="Single-ply"}
    mru23 = {name="MR-Jr", min=11, max=22.5, sex="M", equipment="Raw"}
    mu23 = {name="M-Jr", min=11, max=22.5, sex="M", equipment="Single-ply"}
    mru18 = {name="MR-Sj", min=14, max=17.5, sex="M", equipment="Raw"}
    mu18 = {name="M-Sj", min=14, max=17.5, sex="M", equipment="Single-ply"}
    mu14 = {name="MR-Pre-Sub-Jr", min=8, max=14, sex="M", equipment="Raw"}
    mru11 = {name="MR-PS", min=11, max=14, sex="M", equipment="Raw"}
    mu11 = {name="M-PS", min=11, max=14, sex="M", equipment="Single-ply"}
    mrm1 = {name="MR-M1", min=39.5, max=48.5, sex="M", equipment="Raw"}
    mry = {name="MR-Y", min=8, max=13, sex="M", equipment="Raw"}
    my = {name="M-Y", min=8, max=13, sex="M", equipment="Single-ply"}
    mm1 = {name="M-M1", min=39.5, max=48.5, sex="M", equipment="Single-ply"}
    mrm2 = {name="MR-M2", min=49.5, max=58.5, sex="M", equipment="Raw"}
    mm2 = {name="M-M2", min=49.5, max=58.5, sex="M", equipment="Single-ply"}
    mrm3 = {name="MR-M3", min=59.5, max=68.5, sex="M", equipment="Raw"}
    mm3 = {name="M-M3", min=59.5, max=68.5, sex="M", equipment="Single-ply"}
    mrm4 = {name="MR-M4", min=69.5, max=999, sex="M", equipment="Raw"}
    mm4 = {name="M-M4", min=69.5, max=999, sex="M", equipment="Single-ply"}
    mrm5 = {name="MR-M5", min=79.5, max=999, sex="M", equipment="Raw"}
    mm5 = {name="M-M5", min=79.5, max=999, sex="M", equipment="Single-ply"}

	# Women's divisions.
    fropen = {name="FR-O", min=0, max=999, sex="F", equipment="Raw"}
    fopen = {name="F-O", min=0, max=999, sex="F", equipment="Single-ply"}
    fru23 = {name="FR-Jr", min=11, max=22.5, sex="F", equipment="Raw"}
    fu23 = {name="F-Jr", min=11, max=22.5, sex="F", equipment="Single-ply"}
    fru18 = {name="FR-Sj", min=11, max=17.5, sex="F", equipment="Raw"}
    fu18 = {name="F-Sj", min=11, max=17.5, sex="F", equipment="Single-ply"}
    fu14 = {name="FR-Pre-Sub-Jr", min=8, max=14, sex="F", equipment="Raw"}
    fru11 = {name="FR-PS", min=11, max=14, sex="F", equipment="Raw"}
    fu11 = {name="F-PS", min=11, max=14, sex="F", equipment="Single-ply"}
    fry = {name="FR-Y", min=8, max=13, sex="F", equipment="Raw"}
    fy = {name="F-Y", min=8, max=13, sex="F", equipment="Single-ply"}
    frm1 = {name="FR-M1", min=39.5, max=48.5, sex="F", equipment="Raw"}
    fm1 = {name="F-M1", min=39.5, max=48.5, sex="F", equipment="Single-ply"}
    frm2 = {name="FR-M2", min=49.5, max=58.5, sex="F", equipment="Raw"}
    fm2 = {name="F-M2", min=49.5, max=58.5, sex="F", equipment="Single-ply"}
    frm3 = {name="FR-M3", min=59.5, max=68.5, sex="F", equipment="Raw"}
    fm3 = {name="F-M3", min=59.5, max=68.5, sex="F", equipment="Single-ply"}
    frm4 = {name="FR-M4", min=69.5, max=999, sex="F", equipment="Raw"}
    fm4 = {name="F-M4", min=69.5, max=999, sex="F", equipment="Single-ply"}
    frm5 = {name="FR-M5", min=79.5, max=999, sex="F", equipment="Raw"}
    fm5 = {name="F-M5", min=79.5, max=999, sex="F", equipment="Single-ply"}

    # High School Junior Varsity.
    mrjv = {name="MR-JV", min=0, max=999, sex="M", equipment="Raw"}
    frjv = {name="FR-JV", min=0, max=999, sex="F", equipment="Raw"}
    mjv = {name="M-JV", min=0, max=999, sex="M", equipment="Single-ply"}
    fjv = {name="F-JV", min=0, max=999, sex="F", equipment="Single-ply"}

    # High School Varsity.
    mrv = {name="MR-V", min=0, max=999, sex="M", equipment="Raw"}
    frv = {name="FR-V", min=0, max=999, sex="F", equipment="Raw"}
    mv = {name="M-V", min=0, max=999, sex="M", equipment="Single-ply"}
    fv = {name="F-V", min=0, max=999, sex="F", equipment="Single-ply"}

    # High School.
    mrhs = {name="MR-HS", min=0, max=999, sex="M", equipment="Raw"}
    frhs = {name="FR-HS", min=0, max=999, sex="F", equipment="Raw"}
    mhs = {name="M-HS", min=0, max=999, sex="M", equipment="Single-ply"}
    fhs = {name="F-HS", min=0, max=999, sex="F", equipment="Single-ply"}

    # Collegiate.
    mru = {name="MR-Uni", min=0, max=999, sex="M", equipment="Raw"}
    fru = {name="FR-Uni", min=0, max=999, sex="F", equipment="Raw"}
    mu = {name="M-Uni", min=0, max=999, sex="M", equipment="Single-ply"}
    fu = {name="F-Uni", min=0, max=999, sex="F", equipment="Single-ply"}
   

    # Special Olympics.
    mrso = {name="MR-SO", min=0, max=999, sex="M", equipment="Raw"}
    frso = {name="FR-SO", min=0, max=999, sex="F", equipment="Raw"}
    mso = {name="M-SO", min=0, max=999, sex="M", equipment="Single-ply"}
    fso = {name="F-SO", min=0, max=999, sex="F", equipment="Single-ply"}
    
    #Misc divisions
    mrg = {name="MR-G", min=0, max=999, sex="M", equipment="Raw", place="G"}
    mg = {name="M-G", min=0, max=999, sex="M", equipment="Single-ply", place="G"}
    frg = {name="FR-G", min=0, max=999, sex="F", equipment="Raw", place="G"}
    fg = {name="F-G", min=0, max=999, sex="F", equipment="Single-ply", place="G"}

[weightclasses.default_M]
    classes = ["59","66","74","83","93","105","120","120+"]
    date_range = ["2022-01-01","9999-12-31"]
    sex = "M"

[weightclasses.default_F]
    classes = ["47","52","57","63","69","76","84","84+"]
    date_range = ["2022-01-01","9999-12-31"]
    sex = "F"

[weightclasses.junior_M]
    classes = ["53","59","66","74","83","93","105","120","120+"]
    date_range=["2022-01-01","9999-12-31"]
    sex = "M"
    divisions = ["MR-Jr", "M-Jr", "MR-Sj", "M-Sj", "MR-Pre-Sub-Jr", "MR-PS", "M-PS", "M-JV", "MR-JV", "M-V", "MR-V", "M-HS", "MR-HS", "M-Uni", "MR-Uni"]

[weightclasses.junior_F]
    classes = ["43","47","52","57","63","69","76","84","84+"]
    date_range=["2022-01-01","9999-12-31"]
    sex = "F"
    divisions = ["FR-Jr", "F-Jr", "FR-Sj", "F-Sj", "FR-Pre-Sub-Jr", "F-PS", "FR-PS", "F-JV", "FR-JV", "F-V", "FR-V", "F-HS", "FR-HS", "F-Uni", "FR-Uni"]

[weightclasses.youth_F]
    classes = ["0+"]
    date_range=["2022-01-01","9999-12-31"]
    sex = "F"
    divisions = ["FR-Y", "F-Y"]

[weightclasses.youth_M]
    classes = ["0+"]
    date_range=["2022-01-01","9999-12-31"]
    sex = "M"
    divisions = ["MR-Y", "M-Y"]

[exemptions]
    2201 = ["ExemptWeightClassConsistency"] #4 Youth Class lifters reported without weights or weight class
    2023-FL-02 = ["ExemptWeightClassConsistency"] #2 Youth Class lifters reported without weights or weight class
    2023-MS-01 = ["ExemptWeightClassConsistency"] #1 Youth Class lifter reported without weight class
    2023-FL-05 = ["ExemptWeightClassConsistency"] #3 Youth Class lifters reported without weights or weight class
    2022-MS-02 = ["ExemptWeightClassConsistency"] #4 Youth Class lifters reported without weights or weight class
    2022-LA-01 = ["ExemptWeightClassConsistency"] #5 Youth Class lifters reported without weights or weight class
    2023-NE-03 = ["ExemptWeightClassConsistency"] #6 Youth Class lifters reported without weights or weight class
    2022-TX-03 = ["ExemptWeightClassConsistency"] #7 Youth Class lifters reported without weights or weight class
    2212 = ["ExemptWeightClassConsistency"] #8 Youth Class lifters reported without weights or weight class
    2022-MS-01 = ["ExemptWeightClassConsistency"] #9 Youth Class lifters reported without weights or weight class
    2023-WA-01 = ["ExemptWeightClassConsistency"] #11 Youth Class lifters reported without weights or weight class
    2023-FL-14 = ["ExemptWeightClassConsistency"] #12 Youth Class lifters reported without weights or weight class
    2023-GA-03 = ["ExemptWeightClassConsistency"] #12 Youth Class lifters reported without weights or weight class
    2023-FL-07 = ["ExemptWeightClassConsistency"] #14 Youth Class lifters reported without weights or weight class
    2024-FL-03 = ["ExemptWeightClassConsistency"] #14 Youth Class lifters reported without weights or weight class
    2024-GA-01 = ["ExemptWeightClassConsistency"] #14 Youth Class lifters reported without weights or weight class